Index: trunk/src/civ.m
===================================================================
--- trunk/src/civ.m	(revision 111)
+++ trunk/src/civ.m	(revision 112)
@@ -1049,11 +1048,11 @@
             testpair=1;
         else
-            if  isequal(mode,'series(Dj)')% | isequal(mode,'st_series(Dj)') 
+            if  isequal(mode,'series(Dj)')% | isequal(mode,'st_series(Dj)')
                 msgbox_uvmat('ERROR',['no civ1 file available for the selected reference index j=' num2str(ref_j) ' and subdirectory ' subdir_civ1]);
             else
                 msgbox_uvmat('ERROR',['no civ1 file available for the selected reference index i=' num2str(ref_i) ' and subdirectory ' subdir_civ1]);
             end
-             set(handles.list_pair_civ1,'String',{''});
-             %COMPLETER CAS STEREO
+            set(handles.list_pair_civ1,'String',{''});
+            %COMPLETER CAS STEREO
             return
         end
@@ -1088,38 +1087,38 @@
 elseif isequal(mode,'series(Dj)')%|isequal(mode,'st_series(Dj)')% series on the j index
     if testpair
-         displ_pair{1}=['Dj= ' num2str(-floor(browse.incr_pair(1)/2)) '|' num2str(ceil(browse.incr_pair(1)/2))]; 
+        displ_pair{1}=['Dj= ' num2str(-floor(browse.incr_pair(1)/2)) '|' num2str(ceil(browse.incr_pair(1)/2))];
     else
-       for ipair=1:nbpair
-          if select(ipair)
-              if size(time,1)>=ref_i+displ_num(4,ipair) && size(time,2)>=ref_j+displ_num(2,ipair)
-              dt=time(ref_i+displ_num(4,ipair),ref_j+displ_num(2,ipair))-time(ref_i+displ_num(3,ipair),ref_j+displ_num(1,ipair));%time interval dt
-              displ_pair{ipair}=['Dj= ' num2str(-floor(ipair/2)) '|' num2str(ceil(ipair/2)) ' :dt= ' num2str(dt*1000)];
-              end
-           elseif testpair
-              displ_pair{1}=['Dj= ' num2str(-floor(browse.incr_pair(2)/2)) '|' num2str(ceil(browse.incr_pair(2)/2))];
-          else 
-             displ_pair{ipair}='...'; %pair not displayed in the menu
-          end
-       end
-   end
+        for ipair=1:nbpair
+            if select(ipair)
+                if size(time,1)>=ref_i+displ_num(4,ipair) && size(time,2)>=ref_j+displ_num(2,ipair)
+                    dt=time(ref_i+displ_num(4,ipair),ref_j+displ_num(2,ipair))-time(ref_i+displ_num(3,ipair),ref_j+displ_num(1,ipair));%time interval dt
+                    displ_pair{ipair}=['Dj= ' num2str(-floor(ipair/2)) '|' num2str(ceil(ipair/2)) ' :dt= ' num2str(dt*1000)];
+                end
+            elseif testpair
+                displ_pair{1}=['Dj= ' num2str(-floor(browse.incr_pair(2)/2)) '|' num2str(ceil(browse.incr_pair(2)/2))];
+            else
+                displ_pair{ipair}='...'; %pair not displayed in the menu
+            end
+        end
+    end
 elseif isequal(mode,'pair j1-j2')%|isequal(mode,'st_pair j1-j2')%case of pairs
     for ipair=1:nbpair
         if select(ipair)
-           dt=time(ref_i+displ_num(4,ipair),displ_num(2,ipair))-time(ref_i+displ_num(3,ipair),displ_num(1,ipair));%time interval dt
-           displ_pair{ipair}=['j= ' num2stra(displ_num(1,ipair),nom_type_ima) '-' num2stra(displ_num(2,ipair),nom_type_ima) ...
-                        ' :dt= ' num2str(dt*1000)];
-       else 
-          displ_pair{ipair}='...'; %pair not displayed in the menu
-        end   
-   end
+            dt=time(ref_i+displ_num(4,ipair),displ_num(2,ipair))-time(ref_i+displ_num(3,ipair),displ_num(1,ipair));%time interval dt
+            displ_pair{ipair}=['j= ' num2stra(displ_num(1,ipair),nom_type_ima) '-' num2stra(displ_num(2,ipair),nom_type_ima) ...
+                ' :dt= ' num2str(dt*1000)];
+        else
+            displ_pair{ipair}='...'; %pair not displayed in the menu
+        end
+    end
 elseif isequal(mode,'displacement')
-    displ_pair={'Di=Dj=0'};  
-end   
+    displ_pair={'Di=Dj=0'};
+end
 set(handles.list_pair_civ1,'String',displ_pair');
 ichoice=min(find(select));
 if (isempty(ichoice) || ichoice < 1); ichoice=1; end;
 initial=get(handles.list_pair_civ1,'Value');%initial choice of pair
-if initial>nbpair 
-     set(handles.list_pair_civ1,'Value',ichoice);% first valid pair proposed by default in the menu
+if initial>nbpair
+    set(handles.list_pair_civ1,'Value',ichoice);% first valid pair proposed by default in the menu
 end
 if numel(select)>=initial && ~isequal(select(initial),1)
@@ -1140,6 +1139,6 @@
 
 %------------------------------------------------------------------------
-% determine the menu for civ2 pairs depending on the existing netcdf file at the 
-%middle of the series set by first_i, incr, last_i 
+% determine the menu for civ2 pairs depending on the existing netcdf file at the
+%middle of the series set by first_i, incr, last_i
 function find_netcpair_civ2(hObject, eventdata, handles)
 %------------------------------------------------------------------------
@@ -1174,5 +1173,5 @@
     nom_type_nc='none';
 elseif isequal(nom_type_ima,'avi')||isequal(nom_type_ima,'_i')||isequal(nom_type_ima,'ima_num')||isequal(nom_type_nc,'_i1-i2')
-     nom_type_nc='_i1-i2';
+    nom_type_nc='_i1-i2';
 else
     if  isequal(mode,'series(Di)')%|isequal(mode,'st_series(Di)')
@@ -1180,5 +1179,5 @@
     else
         nom_type_nc='_i_j1-j2';
-    end    
+    end
 end
 browse.nom_type_nc=nom_type_nc;
@@ -1212,12 +1211,12 @@
 
 
-%eliminate the first pairs inconsistent with the position 
+%eliminate the first pairs inconsistent with the position
 if isempty(displ_num)
     nbpair=0;
 else
     nbpair=length(displ_num(1,:));%nbre of displayed pairs
-    if  isequal(mode,'series(Di)')% | isequal(mode,'st_series(Di)') 
+    if  isequal(mode,'series(Di)')% | isequal(mode,'st_series(Di)')
         nbpair=min(2*ref_i-1,nbpair);%limit the number of pairs with positive first index
-    elseif  isequal(mode,'series(Dj)')% | isequal(mode,'st_series(Dj)') 
+    elseif  isequal(mode,'series(Dj)')% | isequal(mode,'st_series(Dj)')
         nbpair=min(2*ref_j-1,nbpair);%limit the number of pairs with positive first index
     end
@@ -1225,22 +1224,22 @@
 nbpair=min(200,nbpair);%limit the number of displayed pairs to 200
 
-%look for existing processed pairs involving the field at the middle of the series if civ1 will not 
+%look for existing processed pairs involving the field at the middle of the series if civ1 will not
 % be performed, while the result is needed for next steps.
 displ_pair={''}; %default
 select=ones(size(1:nbpair));%default =1 for numbers of displayed pairs
 if get(handles.CIV2,'Value')==0 & get(handles.CIV1,'Value')==0 & get(handles.FIX1,'Value')==0 & get(handles.PATCH1,'Value')==0%&...
-    if ~exist(fullfile(filepath,subdir_civ2,ext_dir),'dir') 
-         errordlg(['no civ2 file available: subdirectory ' subdir_civ2 ' does not exist'])
-         set(handles.list_pair_civ2,'Value',1);
-         set(handles.list_pair_civ2,'String',{''});
-         return
-    end
-    for ipair=1:nbpair       
+    if ~exist(fullfile(filepath,subdir_civ2,ext_dir),'dir')
+        errordlg(['no civ2 file available: subdirectory ' subdir_civ2 ' does not exist'])
+        set(handles.list_pair_civ2,'Value',1);
+        set(handles.list_pair_civ2,'String',{''});
+        return
+    end
+    for ipair=1:nbpair
         filename=name_generator(filebase,ref_i+displ_num(3,ipair),ref_j+displ_num(1,ipair),'.nc',nom_type_nc,1,...
-        ref_i+displ_num(4,ipair),ref_j+displ_num(2,ipair),subdir_civ1);
+            ref_i+displ_num(4,ipair),ref_j+displ_num(2,ipair),subdir_civ1);
         select(ipair)=exist(filename,'file')==2;
     end
     if  isequal(select,zeros(size(1:nbpair)))
-        if isfield(browse,'incr_pair') 
+        if isfield(browse,'incr_pair')
             num_i1=ref_i-floor(browse.incr_pair(1)/2);
             num_i2=ref_i+floor((browse.incr_pair(1)+1)/2);
@@ -1250,50 +1249,50 @@
             select(1)=exist(filename,'file')==2;
         else
-            if  isequal(mode,'series(Dj)')% | isequal(mode,'st_series(Dj)') 
+            if  isequal(mode,'series(Dj)')% | isequal(mode,'st_series(Dj)')
                 errordlg(['no civ2 file available for the selected reference index j=' num2str(ref_j) ' and subdirectory ' subdir_civ2])
             else
                 errordlg(['no civ2 file available for the selected reference index i=' num2str(ref_i) ' and subdirectory ' subdir_civ2])
             end
-             set(handles.list_pair_civ2,'Value',1);
-             set(handles.list_pair_civ2,'String',{''});
+            set(handles.list_pair_civ2,'Value',1);
+            set(handles.list_pair_civ2,'String',{''});
             return
         end
     end
 end
-if isequal(mode,'series(Di)') % | isequal(mode,'st_series(Di)') 
-       for ipair=1:nbpair
-          if select(ipair)
-              if size(time,1)>=ref_i+displ_num(4,ipair) && size(time,2)>=ref_j+displ_num(2,ipair)
+if isequal(mode,'series(Di)') % | isequal(mode,'st_series(Di)')
+    for ipair=1:nbpair
+        if select(ipair)
+            if size(time,1)>=ref_i+displ_num(4,ipair) && size(time,2)>=ref_j+displ_num(2,ipair)
                 dt=time(ref_i+displ_num(4,ipair),ref_j+displ_num(2,ipair))-time(ref_i+displ_num(3,ipair),ref_j+displ_num(1,ipair));%time interval dt
                 displ_pair{ipair}=['Di= ' num2str(-floor(ipair/2)) '|' num2str(ceil(ipair/2)) ' :dt= ' num2str(dt*1000)];
-              end
-          else 
-             displ_pair{ipair}='...'; %pair not displayed in the menu
-          end
-       end
+            end
+        else
+            displ_pair{ipair}='...'; %pair not displayed in the menu
+        end
+    end
 elseif isequal(mode,'series(Dj)') %| isequal(mode,'st_series(Dj)') % series on the j index
-       for ipair=1:nbpair
-          if select(ipair)
-              if size(time,1)>=ref_i+displ_num(4,ipair) && size(time,2)>=ref_j+displ_num(2,ipair)
-              dt=time(ref_i+displ_num(4,ipair),ref_j+displ_num(2,ipair))-time(ref_i+displ_num(3,ipair),ref_j+displ_num(1,ipair));%time interval dt
-              displ_pair{ipair}=['Dj= ' num2str(-floor(ipair/2)) '|' num2str(ceil(ipair/2)) ' :dt= ' num2str(dt*1000)];
-              end
-          else 
-             displ_pair{ipair}='...'; %pair not displayed in the menu
-          end
-       end
+    for ipair=1:nbpair
+        if select(ipair)
+            if size(time,1)>=ref_i+displ_num(4,ipair) && size(time,2)>=ref_j+displ_num(2,ipair)
+                dt=time(ref_i+displ_num(4,ipair),ref_j+displ_num(2,ipair))-time(ref_i+displ_num(3,ipair),ref_j+displ_num(1,ipair));%time interval dt
+                displ_pair{ipair}=['Dj= ' num2str(-floor(ipair/2)) '|' num2str(ceil(ipair/2)) ' :dt= ' num2str(dt*1000)];
+            end
+        else
+            displ_pair{ipair}='...'; %pair not displayed in the menu
+        end
+    end
 elseif isequal(mode,'pair j1-j2')% | isequal(mode,'st_pair j1-j2') %case of pairs
     for ipair=1:nbpair
         if select(ipair)
-           dt=time(ref_i+displ_num(4,ipair),displ_num(2,ipair))-time(ref_i+displ_num(3,ipair),displ_num(1,ipair));%time interval dt
-           displ_pair{ipair}=['j= ' num2stra(displ_num(1,ipair),nom_type_ima) '-' num2stra(displ_num(2,ipair),nom_type_ima) ...
-                        ' :dt= ' num2str(dt*1000)];
-       else 
-          displ_pair{ipair}='...'; %pair not displayed in the menu
-       end   
-   end
+            dt=time(ref_i+displ_num(4,ipair),displ_num(2,ipair))-time(ref_i+displ_num(3,ipair),displ_num(1,ipair));%time interval dt
+            displ_pair{ipair}=['j= ' num2stra(displ_num(1,ipair),nom_type_ima) '-' num2stra(displ_num(2,ipair),nom_type_ima) ...
+                ' :dt= ' num2str(dt*1000)];
+        else
+            displ_pair{ipair}='...'; %pair not displayed in the menu
+        end
+    end
 elseif isequal(mode,'displacement')
-    displ_pair={'Di=Dj=0'};  
-end   
+    displ_pair={'Di=Dj=0'};
+end
 val=get(handles.list_pair_civ2,'Value');
 ichoice=min(find(select));
@@ -1311,15 +1310,15 @@
 
 %------------------------------------------------------------------------
-%  determine the list of index pairs of processing file 
+%  determine the list of index pairs of processing file
 function [num1_civ1,num2_civ1,num_a_civ1,num_b_civ1,num1_civ2,num2_civ2,num_a_civ2,num_b_civ2]=...
     find_pair_indices(handles,mode)
 %------------------------------------------------------------------------
-first_i=str2double(get(handles.first_i,'String'));%first index i 
-last_i=str2double(get(handles.last_i,'String'));%last index i 
+first_i=str2double(get(handles.first_i,'String'));%first index i
+last_i=str2double(get(handles.last_i,'String'));%last index i
 incr=str2double(get(handles.incr_i,'String'));% increment
 num_i=[first_i:incr:last_i];% list of i indices (reference values for each pair)
 if isequal(get(handles.first_j,'Visible'),'on')
     first_j=str2double(get(handles.first_j,'String'));%first index j
-    last_j=str2double(get(handles.last_j,'String'));%last index j 
+    last_j=str2double(get(handles.last_j,'String'));%last index j
     incr_j=str2double(get(handles.incr_j,'String'));% increment
 else
@@ -1344,14 +1343,14 @@
 str_civ2=list_civ2{index_civ2};%string defining the image pairs for civ2
 if isempty(first_i)||isempty(first_j), msgbox_uvmat('ERROR','first field number not defined'),...
-    return,end;
+        return,end;
 if isequal(last_i,[])|| isequal(last_j,[]),msgbox_uvmat('ERROR','last field number not defined'),...
-    return,end;
+        return,end;
 if isequal(incr,[])|| isequal(incr_j,[]),msgbox_uvmat('ERROR','increment in field number not defined'),...
-    return,end;
+        return,end;
 if last_i < first_i || last_j < first_j , msgbox_uvmat('ERROR','last field number must be larger than the first one'),...
-    return,end;
-if isequal (mode,'series(Di)') 
-     %recognize the pair civ1 from the display
-	indsel=find((double(str_civ1)<48)|(double(str_civ1)>57));% character indices of non numerical characters
+        return,end;
+if isequal (mode,'series(Di)')
+    %recognize the pair civ1 from the display
+    indsel=find((double(str_civ1)<48)|(double(str_civ1)>57));% character indices of non numerical characters
     str_raw=str_civ1(indsel);
     indsepar=find(str_raw=='|'); %character index of the separator
@@ -1361,5 +1360,5 @@
     else
         d2=str2double(str_civ1([indsel(indsepar)+1:indsel(indsepar+1)-1]));
-    end   
+    end
     num1_civ1=num_i-d1;% set of first image numbers
     num2_civ1=num_i+d2;
@@ -1376,5 +1375,5 @@
     else
         d2=str2num(str_civ2([indsel(indsepar)+1:indsel(indsepar+1)-1]));
-    end   
+    end
     if isempty(d1)
         num1_civ2=num_i;
@@ -1472,5 +1471,5 @@
 end
 
-%update first_i and last_i according to the chosen image pairs 
+%update first_i and last_i according to the chosen image pairs
 mode_list=get(handles.mode,'String');
 mode_value=get(handles.mode,'Value');
@@ -1484,5 +1483,5 @@
     if ~isequal(lastfield,[])
         ind=find((num1-floor(index_pair/2)*ones(size(num1))>0)& ...
-             (num1+ceil(index_pair/2)*ones(size(num1))<=lastfield));
+            (num1+ceil(index_pair/2)*ones(size(num1))<=lastfield));
         num1=num1(ind);
     end
@@ -1497,10 +1496,10 @@
     if ~isequal(lastfield2,[])
         ind=find((num_j-floor(index_pair/2)*ones(size(num_j))>0)& ...
-             (num_j+ceil(index_pair/2)*ones(size(num_j))<=lastfield2));
+            (num_j+ceil(index_pair/2)*ones(size(num_j))<=lastfield2));
         num1=num_j(ind);
     end
     set(handles.first_j,'String',num2str(num1(1)));
     set(handles.last_j,'String',num2str(num1(end)));
-end 
+end
 
 %------------------------------------------------------------------------
@@ -1508,7 +1507,7 @@
 function list_pair_civ2_Callback(hObject, eventdata, handles)
 %------------------------------------------------------------------------
-index_pair=get(handles.list_pair_civ2,'Value');%get the selected position index in the menu 
-
-%update first_i and last_i according to the chosen image pairs 
+index_pair=get(handles.list_pair_civ2,'Value');%get the selected position index in the menu
+
+%update first_i and last_i according to the chosen image pairs
 mode_list=get(handles.mode,'String');
 mode_value=get(handles.mode,'Value');
@@ -1522,5 +1521,5 @@
     if ~isequal(lastfield,[])
         ind=find((num1-floor(index_pair/2)*ones(size(num1))>0)& ...
-             (num1+ceil(index_pair/2)*ones(size(num1))<=lastfield));
+            (num1+ceil(index_pair/2)*ones(size(num1))<=lastfield));
         num1=num1(ind);
     end
@@ -1535,10 +1534,10 @@
     if ~isequal(lastfield2,[])
         ind=find((num_j-floor(index_pair/2)*ones(size(num_j))>0)& ...
-             (num_j+ceil(index_pair/2)*ones(size(num_j))<=lastfield2));
+            (num_j+ceil(index_pair/2)*ones(size(num_j))<=lastfield2));
         num1=num_j(ind);
     end
     set(handles.first_j,'String',num2str(num1(1)));
     set(handles.last_j,'String',num2str(num1(end)));
-end 
+end
 
 %------------------------------------------------------------------------
@@ -1570,5 +1569,5 @@
 %     return
 % end
-% 
+%
 % %root name
 % filebase=get(handles.RootName,'String');
@@ -1602,7 +1601,7 @@
 %     end
 % end
-% 
-% %read names of the .exe file 
-% if box_test(1)==1 || box_test(3)==1 || box_test(4)==1 || box_test(6)==1 
+%
+% %read names of the .exe file
+% if box_test(1)==1 || box_test(3)==1 || box_test(4)==1 || box_test(6)==1
 %     path_uvmat=which('uvmat');% check the path detected for source file uvmat
 %     path_UVMAT=fileparts(path_uvmat); %path to UVMAT
@@ -1636,5 +1635,5 @@
 %     if isfield(sparam,'SGE')
 %         sge=str2double(sparam.SGE);
-%     end 
+%     end
 %     if ~isunix % for windows system, check whether the Matlab working dir is a UBC name
 %         dircur=pwd;
@@ -1645,5 +1644,5 @@
 %     end
 % end
-% 
+%
 % %initialize the waitbars
 % set(handles.waitbar_1,'Position',[0.946 0.877 0.03 0.001])
@@ -1654,5 +1653,5 @@
 % set(handles.RUN, 'Enable','Off')
 % drawnow
-% 
+%
 % % get the list of file names and check the files
 % display('checking the files...')
@@ -1661,5 +1660,5 @@
 % nbfield=numel(num1_civ1);
 % nbslice=size(num_a_civ1);
-% 
+%
 % if isempty(filecell)
 %    set(handles.RUN, 'Enable','On')
@@ -1669,8 +1668,8 @@
 %    return
 % end
-% display('files OK, processing...')   
+% display('files OK, processing...')
 % nbfield=size(num1_civ1,2);
 % nbslice=size(num1_civ1,1);
-% 
+%
 % %RUN CIV1
 % if box_test(1)==1
@@ -1680,7 +1679,7 @@
 %      end
 % end
-% 
+%
 % %RUN FIX1
-% if box_test(2)==1 
+% if box_test(2)==1
 %     filebase=get(handles.RootName,'String');
 %     %names of the civ1 fields
@@ -1704,7 +1703,7 @@
 %     else
 %         fieldchoice=menu{index};
-%     end   
-%     h = waitbar(0,'removing velocity vectors, fix1');% display a wait bar 
-%     test_mask=get(handles.get_mask_fix1,'Value');    
+%     end
+%     h = waitbar(0,'removing velocity vectors, fix1');% display a wait bar
+%     test_mask=get(handles.get_mask_fix1,'Value');
 %     if test_mask
 %         maskdispl=get(handles.mask_fix1,'String');
@@ -1723,11 +1722,11 @@
 %                 maskflag=0;
 %             elseif test_mask==1
-%                 nbslice_mask=str2double(maskdispl(1:end-4)); % 
+%                 nbslice_mask=str2double(maskdispl(1:end-4)); %
 %                 num1_mask=mod(num1_civ1(ifile)-1,nbslice_mask)+1;
 %                 maskname=name_generator(maskbase,num1_mask,1,'.png','_i');% mask corresponding to the first image of the pair
 %                 maskflag= exist(maskname,'file')==2;
-%                 if ~maskflag; 
+%                 if ~maskflag;
 %                     maskname='noFile use default';
-%                 end              
+%                 end
 %             end
 %             if ~isempty(file_ref_fix1)
@@ -1738,16 +1737,16 @@
 %             error=RUN_FIX(filecell.nc.civ1{ifile,j},field1,flagindex,1,thresh_vecC,maskflag,maskname,...
 %                                     thresh_vel,inf_sup,file_ref,fieldchoice);
-% 
+%
 %             if compare==3 &&(isequal(mode,'pair j1-j2') || isequal(mode,'series(Dj)') || isequal(mode,'series(Di)'))
-%                  if test_mask==0  
+%                  if test_mask==0
 %                       maskname='noFile use default';
 %                       maskflag=0;
 %                  else
 %                      maskbase=[get(handles.RootName2,'String') '_' maskdispl]; % mask root name
-%                      nbslice_mask=str2num(maskdispl(1:end-4)); % 
-%                      num1_mask=mod(num1_civ1(ifile)-1,nbslice_mask)+1;               
+%                      nbslice_mask=str2num(maskdispl(1:end-4)); %
+%                      num1_mask=mod(num1_civ1(ifile)-1,nbslice_mask)+1;
 %                      maskname=name_generator(maskbase,num1_mask,1,'.png','_i');
 %                      maskflag= exist(maskname,'file')==2;
-%                      if ~maskflag; 
+%                      if ~maskflag;
 %                         maskname='noFile use default';
 %                      end
@@ -1758,5 +1757,5 @@
 %                     msgbox_uvmat('ERROR',error)
 %                     return
-%                  end             
+%                  end
 %             end
 %         end
@@ -1764,5 +1763,5 @@
 %     close(h)
 % end
-% 
+%
 % % RUN PATCH1
 % if box_test(3)==1
@@ -1786,5 +1785,5 @@
 %     subdomain_patch1=get(handles.subdomain_patch1,'String');
 %     thresh_patch1=get(handles.thresh_patch1,'String');
-%     test_interp=get(handles.test_interp,'Value'); 
+%     test_interp=get(handles.test_interp,'Value');
 %     icount=0;
 %     for ifile=1:nbfield
@@ -1802,7 +1801,7 @@
 %                 if s~=0
 %                     display(['!' cmd])
-%                     eval(['!' cmd]);                  
+%                     eval(['!' cmd]);
 %                 end
-% 
+%
 %                 %stereo case:
 %             elseif  isequal(get(handles.test_stereo1,'Value'),1)
@@ -1811,5 +1810,5 @@
 %                           nx_patch1,ny_patch1,rho_patch1,subdomain_patch1,thresh_patch1,[filebase_A '.xml'],[filebase_B '.xml']);
 %                     display(['!' cmd])
-%                     eval(['!' cmd]);       
+%                     eval(['!' cmd]);
 %                 else
 %                     RUN_STLIN(filecell.ncA.civ1{ifile,j},filecell.nc.civ1{ifile,j},'civ1',filecell.st{ifile,j},...
@@ -1831,13 +1830,13 @@
 %     end
 % end
-% 
+%
 % % CIV2
-% if box_test(4)==1 
+% if box_test(4)==1
 %     RUN_CIV2(handles,filecell.ima1.civ2,filecell.ima2.civ2,filecell.nc.civ1,filecell.nc.civ2,num1_civ2,num2_civ2,...
 %         num_a_civ2,num_b_civ2,nom_type_nc)
 % end
-% 
+%
 % % FIX2
-% if box_test(5)==1 
+% if box_test(5)==1
 %     %names of the civ2 fields
 %     field2.vel_type='civ2';
@@ -1860,5 +1859,5 @@
 %     else
 %         fieldchoice=menu{index};
-%     end   
+%     end
 %     h = waitbar(0,['removing velocity vectors, fix2']);% display a wait bar
 %     test_mask=get(handles.get_mask_fix2,'Value');
@@ -1874,14 +1873,14 @@
 %     for ifile=1:nbfield
 %         waitbar(ifile/nbfield); %update the waitbar
-%         for j=1:nbslice       
-%            if test_mask==0 
+%         for j=1:nbslice
+%            if test_mask==0
 %                 maskname='noFile use default';
 %                 maskflag=0;
 %            elseif test_mask==1
-%                 nbslice_mask=str2num(maskdispl(1:end-4)); % 
+%                 nbslice_mask=str2num(maskdispl(1:end-4)); %
 %                 num1_mask=mod(num1_civ2(ifile)-1,nbslice_mask)+1;
 %                 maskname=name_generator(maskbase,num1_mask,1,'.png','_i');
 %                 maskflag= exist(maskname,'file')==2;
-%                 if ~maskflag; 
+%                 if ~maskflag;
 %                       maskname='noFile use default';
 %                 end
@@ -1893,20 +1892,20 @@
 %             end
 %             error=RUN_FIX(filecell.nc.civ2{ifile,j},field2,flagindex,2,thresh_vec2C,maskflag,maskname,...
-%                                     thresh_vel2,inf_sup,file_ref,fieldchoice); 
+%                                     thresh_vel2,inf_sup,file_ref,fieldchoice);
 %             if ~isempty(error)
 %                 msgbox_uvmat('ERROR',error)
 %                 return
-%             end  
+%             end
 %             if compare==3
-%                  if test_mask==0  
+%                  if test_mask==0
 %                       maskname='noFile use default';
 %                       maskflag=0;
 %                  else
 %                       maskbase=[get(handles.RootName2,'String') '_' maskdispl]; % mask root name
-%                       nbslice_mask=str2num(maskdispl(1:end-4)); % 
+%                       nbslice_mask=str2num(maskdispl(1:end-4)); %
 %                       num1_mask=mod(num1_civ2(ifile)-1,nbslice_mask)+1;
 %                       maskname=name_generator(maskbase,num1_mask,1,'.png','_i');
 %                       maskflag= exist(maskname,'file')==2;
-%                       if ~maskflag; 
+%                       if ~maskflag;
 %                          maskname='noFile use default';
 %                       end
@@ -1917,5 +1916,5 @@
 %                     msgbox_uvmat('ERROR',error)
 %                     return
-%                  end  
+%                  end
 %             end
 %         end
@@ -1923,5 +1922,5 @@
 %     close(h)
 % end
-% 
+%
 % %PATCH 2
 % if box_test(6)==1
@@ -1963,5 +1962,5 @@
 %                 end
 %             elseif compare==3 &&  isequal(get(handles.test_stereo2,'Value'),1)
-%                if exist('stinterp_exe','var')%Prog Gauthier  
+%                if exist('stinterp_exe','var')%Prog Gauthier
 %                    cmd=RUN_STINTERP(stinterp_exe,filecell.ncA.civ2{ifile,j},filecell.nc.civ2{ifile,j},filecell.st{ifile,j},...
 %                    nx_patch2,ny_patch2,rho_patch2,subdomain_patch2,thresh_patch2,[filebase_A '.xml'],[filebase_B '.xml']);
@@ -1972,5 +1971,5 @@
 %                    str2num(nx_patch2),str2num(ny_patch2),str2num(thresh_patch2),[filebase_A '.xml'],[filebase_B '.xml'])
 %                end
-%             end    
+%             end
 %             if compare==3 && isequal(get(handles.test_stereo2,'Value'),0)
 %                 cmd=RUN_PATCH(filecell.ncA.civ2{ifile,j},nx_patch2,ny_patch2,rho_patch2,subdomain_patch2,1,0);
@@ -1987,8 +1986,8 @@
 %     end
 % end
-% 
+%
 % set(handles.RUN, 'Enable','On')
 % set(handles.RUN,'BackgroundColor',[1 0 0])
-% 
+%
 % %save the current interface setting as figure namefig, append .0 to the name if it already exists
 % if isfield(filecell,'st')
@@ -2003,5 +2002,5 @@
 % [RootPath,RootFile,field_count,str2,str_a,str_b,ext,nom_type,subdir]=name2display(fileresu);
 % namedoc=fullfile(RootPath,subdir,RootFile);
-% detect=1; 
+% detect=1;
 % while detect==1
 %     namefigfull=[namedoc '.fig'];
@@ -2073,5 +2072,5 @@
     return
 end
-    
+
 %check mask if selecetd
 if isequal(get(handles.get_mask_civ1,'Value'),1)
@@ -2090,5 +2089,5 @@
     maskname=get(handles.mask_civ2,'String');
     if ~exist(maskname,'file')
-     get_mask_civ2_Callback(hObject, eventdata, handles);
+        get_mask_civ2_Callback(hObject, eventdata, handles);
     end
 end
@@ -2096,5 +2095,5 @@
     maskname=get(handles.mask_fix2,'String');
     if ~exist(maskname,'file')
-     get_mask_fix2_Callback(hObject, eventdata, handles);
+        get_mask_fix2_Callback(hObject, eventdata, handles);
     end
 end
@@ -2103,5 +2102,5 @@
 path_uvmat=which('uvmat');% check the path detected for source file uvmat
 path_UVMAT=fileparts(path_uvmat); %path to UVMAT
-xmlfile=fullfile(path_UVMAT,'PARAM.xml');
+xmlfile='PARAM.xml';
 if exist(xmlfile,'file')
     t=xmltree(xmlfile);
@@ -2125,38 +2124,41 @@
         return
     end
-end
-if isfield(sparam,'CivBin')
-    if ~exist(sparam.CivBin,'file')
-         sparam.CivBin=fullfile(path_UVMAT,sparam.CivBin);
-    end
-end
-if isfield(sparam,'Civ1Bin')
-    if ~exist(sparam.Civ1Bin,'file')
-         sparam.Civ1Bin=fullfile(path_UVMAT,sparam.Civ1Bin);
-    end
-end
-if isfield(sparam,'Civ2Bin')
-    if ~exist(sparam.Civ2Bin,'file')
-         sparam.Civ2Bin=fullfile(path_UVMAT,sparam.Civ2Bin);
-    end
-end
-%test_interp=get(handles.test_interp,'Value');
-test_interp=0;
-if  isfield(sparam,'PatchBin')
-    if ~exist(sparam.PatchBin,'file')
-         sparam.PatchBin=fullfile(path_UVMAT,sparam.PatchBin);
-    end
-end
-% if test_interp && isfield(sparam,'PatchNewBin')
-%     if ~exist(sparam.PatchNewBin,'file')
-%          sparam.PatchNewBin=fullfile(path_UVMAT,sparam.PatchNewBin);
-%     end
-% end
-if isfield(sparam,'FixBin')
-%     fixBin=sparam.FixBin;
-    if ~exist(sparam.FixBin,'file')
-         sparam.FixBin=fullfile(path_UVMAT,sparam.FixBin);
-    end
-end
+    if isfield(sparam,'CivBin')
+        if ~exist(sparam.CivBin,'file')
+            sparam.CivBin=fullfile(path_UVMAT,sparam.CivBin);
+        end
+    end
+    if isfield(sparam,'Civ1Bin')
+        if ~exist(sparam.Civ1Bin,'file')
+            sparam.Civ1Bin=fullfile(path_UVMAT,sparam.Civ1Bin);
+        end
+    end
+    if isfield(sparam,'Civ2Bin')
+        if ~exist(sparam.Civ2Bin,'file')
+            sparam.Civ2Bin=fullfile(path_UVMAT,sparam.Civ2Bin);
+        end
+    end
+    %test_interp=get(handles.test_interp,'Value');
+    test_interp=0;
+    if  isfield(sparam,'PatchBin')
+        if ~exist(sparam.PatchBin,'file')
+            sparam.PatchBin=fullfile(path_UVMAT,sparam.PatchBin);
+        end
+    end
+    % if test_interp && isfield(sparam,'PatchNewBin')
+    %     if ~exist(sparam.PatchNewBin,'file')
+    %          sparam.PatchNewBin=fullfile(path_UVMAT,sparam.PatchNewBin);
+    %     end
+    % end
+    if isfield(sparam,'FixBin')
+        %     fixBin=sparam.FixBin;
+        if ~exist(sparam.FixBin,'file')
+            sparam.FixBin=fullfile(path_UVMAT,sparam.FixBin);
+        end
+    end
+end
+
+
+
 if batch
     if isfield(sparam,'BatchMode')
@@ -2165,7 +2167,7 @@
 else
     MaxCivProcesses=50;
-   if isfield(sparam,'MaxCivProcesses') 
+    if isfield(sparam,'MaxCivProcesses')
         MaxCivProcesses=str2double(sparam.MaxCivProcesses);
-   end
+    end
 end
 
@@ -2183,5 +2185,5 @@
 %     cur_dir=pwd;
 %     if ~isequal(cur_dir(2:3),':\')
-%         cd(matlabroot); %move to the Matlab root directory if the current Matlab dir does not allow the dos command or is M: 
+%         cd(matlabroot); %move to the Matlab root directory if the current Matlab dir does not allow the dos command or is M:
 %     end
 %     [ss,ww]=dos(['net use ' filebase(1:2)]);
@@ -2205,5 +2207,5 @@
 display('checking the files...')
 [filecell,num1_civ1,num2_civ1,num_a_civ1,num_b_civ1,num1_civ2,num2_civ2,num_a_civ2,num_b_civ2,nom_type_nc,file_ref_fix1,file_ref_fix2]=...
-       set_civ_filenames(handles,compare,box_test);
+    set_civ_filenames(handles,compare,box_test);
 if isempty(filecell)
     return
@@ -2218,8 +2220,8 @@
         str={'urgent';'normal';'low'};
         [ind_answer,v] = listdlg('PromptString',str_displ,...
-                'SelectionMode','single',...
-                'ListString',str,'ListSize',[200 200],'Name','job priority','InitialValue',3);
-        if isequal(v,0) % to handle Cancel button and figure close,  
-           return % a better way should be create
+            'SelectionMode','single',...
+            'ListString',str,'ListSize',[200 200],'Name','job priority','InitialValue',3);
+        if isequal(v,0) % to handle Cancel button and figure close,
+            return % a better way should be create
         end
     else
@@ -2237,17 +2239,17 @@
     end
 end
- 
-display('files OK, processing...')  
+
+display('files OK, processing...')
 nbfield=numel(num1_civ1);
 nbslice=numel(num_a_civ1);
 
 %GET PARAMETERS:
-  %get civ parameters
+%get civ parameters
 if box_test(1)==1
     par_civ1=read_param_civ1(handles,filecell.ima1.civ1{1,1});
-end 
+end
 
 %get fix1 parameters
-if box_test(2)==1 
+if box_test(2)==1
     flagindex1(1)=get(handles.vec_Fmin2, 'Value');
     flagindex1(2)=get(handles.vec_F3, 'Value');
